## history

Provides a couple of convenient aliases for using the `history` command to examine your command line history.

### Requirements

* None.

### Usage

* If `h` is called, your command history is listed. Equivalent to using `history`

* If `hsi` is called with an argument, a **case insensitive** `grep` search is performed on your command history, looking for commands that match the argument provided

* If `hsi` is called without an argument you will help on `grep` arguments